/*****************************************************
 *  MOIRCS Acquisition:
 *
 * Count Number of Data in Datafile
 *
 *   Input : cFname : Input File Name
 *   Output: (int)  : Number of Data in the Input File
 *
 *     Version 0.0 20050123 Masayuki Akiyama
 *****************************************************
 */

#include  "acquisition.h"

#undef DEBUG

int file_count_data(const char *cFname)
{
    FILE    *pFile;
    char    cBuf[512];
    int     iNdata;

    pFile = fopen(cFname, "rt");  /* rt : read text file */
    if ( pFile == NULL ){
       fprintf(stderr, "file_count_data : File Open Error %s \n", cFname );
       exit;
    }

    iNdata = 0;

    while(fgets(cBuf,256,pFile) != NULL){
         iNdata=iNdata+1;
    }
    fclose(pFile);

    return  iNdata;
}
