import pyfits, numpy
def mkbpm(inimage, outimage, lower, upper, goodvalue=0, badvalue=1):
    data, hdr = pyfits.getdata(inimage, header=True)
    print lower, upper
    lowpix = data < lower
    uppix  = data > upper
    badindex = numpy.where(lowpix + uppix)
    outdata = numpy.ones([hdr['NAXIS1'],hdr['NAXIS2']], dtype=numpy.dtype('uint8'))
    outdata *= goodvalue
    outdata[badindex] = 1
    pyfits.writeto(outimage, outdata, header=hdr, clobber=True)
