'''
fitsrgb.py - make RGB image from FITS file
2011.02.08 YOSHIKAWA, Tomohiro
'''
import ds9

class ds9rgb(ds9.ds9):
    def __init__(self, target='DS9:*', start=True, wait=10, verify=True):
        ds9.ds9.__init__(self, target, start, wait, verify)
        self.set('rgb open')
        
    def rgbset(self, cmd, org_r='', org_g=None, org_b=None):
        if org_g == None:
            org_g = org_r
        if org_b == None:
            org_b = org_r
        ds9.ds9.set(self, 'rgb channel red')
        ds9.ds9.set(self, cmd+' '+org_r)
        ds9.ds9.set(self, 'rgb channel green')
        ds9.ds9.set(self, cmd+' '+org_g)
        ds9.ds9.set(self, 'rgb channel blue')
        ds9.ds9.set(self, cmd+' '+org_b)


