
import numpy
import specdata

def rectangle(center, width, resolution=1., range=(10000, 30000)):
    wl = numpy.arange(range[0], range[1], resolution)
    fl = numpy.zeros(len(wl))
    fl[(wl>(center-width/2.))&(wl<(center+width/2.))] = 1
    return specdata.mkspecdata(wl, fl, filter=True)

